using System;
using System.Collections.Generic;
using silver_messages;

namespace silver_messages.directorial
{
    public abstract class command_ended : silver_messages.message
    {
        //name of the command that was called
        public string command { get; set; }
        public string stdout { get; set; }
        public string stderr { get; set; }
    }
    public class command_completed : command_ended
    {
        public int exit_code { get; set; }
        public long runtimeMilliseconds { get; set; }
    }

    public class command_expired : command_ended {}
}
